<?php

defined('_JEXEC') or die( 'Restricted access' );

jimport( 'joomla.application.component.view');

class LinkDirectory2ViewWebcomments extends JView {
		
	private function displayToolBar() {
		JHTML::_('behavior.tooltip'); 
		JToolBarHelper::title(   JText::_( 'Webcomments Manager' ), 'generic.png' );
		JToolBarHelper::publishList('publishWebComment');
		JToolBarHelper::unpublishList('unpublishWebComment');
		JToolBarHelper::deleteList(null,'removeWebComment');
		JToolBarHelper::editListX('editWebComment');
		JToolBarHelper::addNewX('addWebComment');				
	}
	
	function display($tpl = null) {
		global $option;
		$mainframe = JFactory::getApplication();
		$this->displayToolBar();
		$filter_state		= $mainframe->getUserStateFromRequest( $option.'comments.filter_state',		'filter_state',		'',				'word' );
		$filter_type		= $mainframe->getUserStateFromRequest( $option.'comments.filter_type',		'filter_type',		0,				'int' );
		$filter_order		= $mainframe->getUserStateFromRequest( $option.'comments.filter_order',		'filter_order',		'a.rev_date',	'cmd' );
		$filter_order_Dir	= $mainframe->getUserStateFromRequest( $option.'comments.filter_order_Dir',	'filter_order_Dir',	'',				'word' );
		$search				= $mainframe->getUserStateFromRequest( $option.'comments.search',			'search',			'',				'string' );
		$search				= JString::strtolower( $search );

		$items		= & $this->get( 'Data');
		$total		= & $this->get( 'Total');
		
		$pagination = & $this->get( 'Pagination' );
		$javascript 	= 'onchange="document.adminForm.submit();"';
		$lists['state']	= JHTML::_('grid.state',  $filter_state );
		require_once JPATH_COMPONENT_ADMINISTRATOR.DS.'classes'.DS.'CommentHtmlUtils.php';
		$lists['type'] = CommentHtmlUtils::getFilterListForType($filter_type);
		$lists['order_Dir'] = $filter_order_Dir;
		$lists['order'] = $filter_order;
		$lists['search']= $search;
		
		$this->assignRef('user',		JFactory::getUser());
		$this->assignRef('lists',		$lists);
		$this->assignRef('items',		$items);
		$this->assignRef('pagination',	$pagination);
		parent::display($tpl);
	}
}